[RISOLTO]Errore key PGP 1024D "Fabio Castelli" e impossibilità ad aggiornare

Domande inerenti al gestore dei pacchetti di Arch Linux
Rispondi
Avatar utente
tano70
Arciere
Messaggi: 183
Iscritto il: 4 luglio 2013, 15:14

[RISOLTO]Errore key PGP 1024D "Fabio Castelli" e impossibilità ad aggiornare

Messaggio da tano70 » 14 settembre 2014, 8:38

Scusate oggi come di consueto ho lanciato pacman per aggiornare il sistema, ma mi è spuntato uno stranissimo errore di importazione con una chiave, ed il sistema non si aggiorna. Posto sotto nello specifico:

Codice: Seleziona tutto

Pacchetti (20): archlinux-keyring-20140908-1  chrome-pepper-flash-15.0.0.152-1
                firefox-32.0.1-1  firefox-i18n-it-32.0.1-1  gc-7.4.2-2
                hfsprogs-332.25-13  intel-dri-10.2.7-3  libaio-0.3.109-7
                libkate-0.4.1-5  libpcap-1.6.2-1  llvm-libs-3.5.0-2.1
                mesa-10.2.7-3  mesa-libgl-10.2.7-3  qtwebkit-2.3.3-2
                thin-provisioning-tools-0.4.1-1  thunderbird-31.1.1-1
                thunderbird-i18n-it-31.1.1-1  xf86-video-intel-2.99.916-1
                xorg-xinit-1.3.4-1  youtube-dl-2014.09.10.1-1

Dimensione totale dei pacchetti da installare:   255,57 MiB
Dimensione netta dell'aggiornamento:             -14,87 MiB

:: Vuoi procedere con l'installazione? [S/n] s
(20/20) verifica delle chiavi presenti nel por...  [######################] 100%
download delle chiavi richieste in corso...
:: Importo la chiave PGP 1024D/, "Fabio Castelli <muflone at vbsimple dot net>", creata: 2009-07-04? [S/n] S
errore: key "Fabio Castelli <muflone@vbsimple.net>" could not be imported
errore: la chiave richiesta non è presente nel portachiavi
errore: impossibile eseguire l'operazione richiesta (errore inaspettato)
Si sono verificati degli errori, nessun pacchetto è stato aggiornato.
Cosa devo fare per ripristinare questo errore? ho provato più volte anche a scrivere no quando mi chiede se voglio importare o meno la chiave, ma ottengo sempre l'errore e l'impossibilità di aggiornare il mio sistema
Ho anche provato questi comandi, leggendo un po sul forum:

Codice: Seleziona tutto

 pacman-key --refresh-keys
ed anche questo:

Codice: Seleziona tutto

pacman-key --init
Ma non ho risolto la mia situazione. posto anche sotto il mio pacman conf:

Codice: Seleziona tutto

#
# /etc/pacman.conf
#
# See the pacman.conf(5) manpage for option and repository directives

#
# GENERAL OPTIONS
#
[options]
# The following paths are commented out with their default values listed.
# If you wish to use different paths, uncomment and update the paths.
#RootDir     = /
#DBPath      = /var/lib/pacman/
#CacheDir    = /var/cache/pacman/pkg/
#LogFile     = /var/log/pacman.log
#GPGDir      = /etc/pacman.d/gnupg/
HoldPkg     = pacman glibc
#XferCommand = /usr/bin/curl -C - -f %u > %o
#XferCommand = /usr/bin/wget --passive-ftp -c -O %o %u
#CleanMethod = KeepInstalled
#UseDelta    = 0.7
Architecture = auto

# Pacman won't upgrade packages listed in IgnorePkg and members of IgnoreGroup
IgnorePkg   = xlinux-ck-* icedtea-web-* chromium* skype*
#IgnoreGroup =

#NoUpgrade   =
#NoExtract   =

# Misc options
#UseSyslog
#Color
#TotalDownload
CheckSpace
#VerbosePkgLists

# By default, pacman accepts packages signed by keys that its local keyring
# trusts (see pacman-key and its man page), as well as unsigned packages.
SigLevel    = Required DatabaseOptional
LocalFileSigLevel = Optional
#RemoteFileSigLevel = Required

# NOTE: You must run `pacman-key --init` before first using pacman; the local
# keyring can then be populated with the keys of all official Arch Linux
# packagers with `pacman-key --populate archlinux`.

#
# REPOSITORIES
#   - can be defined here or included from another file
#   - pacman will search repositories in the order defined here
#   - local/custom mirrors can be added here or in separate files
#   - repositories listed first will take precedence when packages
#     have identical names, regardless of version number
#   - URLs will have $repo replaced by the name of the current repo
#   - URLs will have $arch replaced by the name of the architecture
#
# Repository entries are of the format:
#       [repo-name]
#       Server = ServerName
#       Include = IncludePath
#
# The header [repo-name] is crucial - it must be present and
# uncommented to enable the repo.
#

# The testing repositories are disabled by default. To enable, uncomment the
# repo name header and Include lines. You can add preferred servers immediately
# after the header, and they will be used before the default mirrors.

#[testing]
#Include = /etc/pacman.d/mirrorlist

[core]
Include = /etc/pacman.d/mirrorlist

[extra]
Include = /etc/pacman.d/mirrorlist

#[community-testing]
#Include = /etc/pacman.d/mirrorlist

[community]
Include = /etc/pacman.d/mirrorlist

# If you want to run 32 bit applications on your x86_64 system,
# enable the multilib repositories as required here.

#[multilib-testing]
#Include = /etc/pacman.d/mirrorlist

[multilib]
Include = /etc/pacman.d/mirrorlist

# An example of a custom package repository.  See the pacman manpage for
# tips on creating your own repositories.
[archlinuxfr]
SigLevel = Optional TrustAll
Server = http://repo.archlinux.fr/$arch
[repo-ck]
Server = http://repo-ck.com/$arch
 
[herecura-stable]
# additional apps not found in community
Server = http://repo.herecura.be/herecura-stable/x86_64
Ultima modifica di tano70 il 14 settembre 2014, 11:59, modificato 3 volte in totale.

Avatar utente
tano70
Arciere
Messaggi: 183
Iscritto il: 4 luglio 2013, 15:14

Re: Errore key pgp 1024D "Fabio Castelli" e impossibilità ad aggiornare

Messaggio da tano70 » 14 settembre 2014, 9:08

Scusate la mia doppia risposta, ma era per non confondere troppo la comprensione del post precedente.
Allora ho seguito un suggerimento dal wiki ed ho provato a fare questo:
Impossibile importare le key
Alcuni ISP potrebbe aver bloccato la porta utilizzata per importare le chiavi PGP. Una soluzione è quella di utilizzare il keyserver del Massachusset's Institute of Technology che mette a disposizione una porta alternativa. Per farlo, modificare /etc/pacman.d/gnupg/gpg.conf, rimpiazzando la linea dei keyserver keyserver hkp://keys.gnupg.net con keyserver hkp://pgp.mit.edu:11371.
Se anche quanto sopra non è d'aiuto, si utilizzi il keyserver kjsl, che fornisce il servizio attraverso la porta 80 (HTML).

Da finestra terminale ho cambiato il server come suggerito in questo articolo del wiki:

Codice: Seleziona tutto

nano /etc/pacman.d/gnupg/gpg.conf

Codice: Seleziona tutto

no-greeting
no-permission-warning
lock-never
keyserver hkp://pgp.mit.edu:11371
#keyserver hkp://pool.sks-keyservers.net
keyserver-options timeout=10
Aggiungendo il server suggerito e commentando quello che avevo. Poi ho lanciato nuovamente l'aggiornamento:

Codice: Seleziona tutto

[root@archlinux tano70]# pacman -Su
:: Aggiornamento del sistema in corso...
attenzione: chromium: l'aggiornamento del pacchetto è stato ignorato (34.0.1847.137-1 => 37.0.2062.120-2)
attenzione: la sostituzione del pacchetto (icedtea-web-java7-1.4.2-1 => icedtea-web-1.5.1-3) è stata ignorata
attenzione: skype: l'aggiornamento del pacchetto è stato ignorato (4.2.0.13-4 => 4.3.0.37-3)
risoluzione delle dipendenze in corso...
ricerca dei conflitti in corso...

Pacchetti (20): archlinux-keyring-20140908-1  chrome-pepper-flash-15.0.0.152-1
                firefox-32.0.1-1  firefox-i18n-it-32.0.1-1  gc-7.4.2-2
                hfsprogs-332.25-13  intel-dri-10.2.7-3  libaio-0.3.109-7
                libkate-0.4.1-5  libpcap-1.6.2-1  llvm-libs-3.5.0-2.1
                mesa-10.2.7-3  mesa-libgl-10.2.7-3  qtwebkit-2.3.3-2
                thin-provisioning-tools-0.4.1-1  thunderbird-31.1.1-1
                thunderbird-i18n-it-31.1.1-1  xf86-video-intel-2.99.916-1
                xorg-xinit-1.3.4-1  youtube-dl-2014.09.10.1-1

Dimensione totale dei pacchetti da installare:   255,57 MiB
Dimensione netta dell'aggiornamento:             -14,87 MiB

:: Vuoi procedere con l'installazione? [S/n] s
(20/20) verifica delle chiavi presenti nel por...  [######################] 100%
download delle chiavi richieste in corso...
:: Importo la chiave PGP 1024D/B250F0D3, "Fabio Castelli <muflone at vbsimple dot net>", creata: 2009-07-04? [S/n] s
(20/20) verifica dell'integrità dei pacchetti      [######################] 100%
(20/20) caricamento dei file dei pacchetti         [######################] 100%
(20/20) controllo dei conflitti in corso           [######################] 100%
(20/20) controllo dello spazio disponibile sul...  [######################] 100%
( 1/20) aggiornamento in corso di archlinux-ke...  [######################] 100%
==> Aggiunta delle chiavi da archlinux.gpg in corso...
==> Sto firmando localmente le chiavi verificate nel keyring...
  -> Sto firmando localmente la chiave 0E8B644079F599DFC1DDC3973348882F6AC6A4C2...
  -> Sto firmando localmente la chiave 684148BB25B49E986A4944C55184252D824B18E8...
  -> Sto firmando localmente la chiave 44D4A033AC140143927397D47EFD567D4C7EA887...
  -> Sto firmando localmente la chiave 27FFC4769E19F096D41D9265A04F9397CDFD6BB0...
  -> Sto firmando localmente la chiave AB19265E5D7D20687D303246BA1DFB64FFF979E7...
==> Sto importando i valori...
==> Disabilitazione delle chiavi revocate nel keyring in corso...
  -> Disabilitazione della chiave F5A361A3A13554B85E57DDDAAF7EF7873CFD4BB6 in corso...
  -> Disabilitazione della chiave 7FA647CD89891DEDC060287BB9113D1ED21E1A55 in corso...
  -> Disabilitazione della chiave D4DE5ABDE2A7287644EAC7E36D1A9E70E19DAA50 in corso...
  -> Disabilitazione della chiave BC1FBE4D2826A0B51E47ED62E2539214C6C11350 in corso...
  -> Disabilitazione della chiave 4A8B17E20B88ACA61860009B5CED81B7C2E5C0D2 in corso...
  -> Disabilitazione della chiave 63F395DE2D6398BBE458F281F2DBB4931985A992 in corso...
  -> Disabilitazione della chiave 0B20CA1931F5DA3A70D0F8D2EA6836E1AB441196 in corso...
  -> Disabilitazione della chiave 8F76BEEA0289F9E1D3E229C05F946DED983D4366 in corso...
  -> Disabilitazione della chiave 66BD74A036D522F51DD70A3C7F2A16726521E06D in corso...
  -> Disabilitazione della chiave 81D7F8241DB38BC759C80FCE3A726C6170E80477 in corso...
  -> Disabilitazione della chiave E7210A59715F6940CF9A4E36A001876699AD6E84 in corso...
==> Aggiornamento del database in corso...
gpg: il prossimo controllo del trustdb sarà fatto il 2016-01-22
( 2/20) aggiornamento in corso di chrome-peppe...  [######################] 100%
( 3/20) aggiornamento in corso di firefox          [######################] 100%
( 4/20) aggiornamento in corso di firefox-i18n-it  [######################] 100%
( 5/20) aggiornamento in corso di gc               [######################] 100%
( 6/20) aggiornamento in corso di hfsprogs         [######################] 100%
( 7/20) aggiornamento in corso di llvm-libs        [######################] 100%
( 8/20) aggiornamento in corso di mesa             [######################] 100%
( 9/20) aggiornamento in corso di mesa-libgl       [######################] 100%
(10/20) aggiornamento in corso di intel-dri        [######################] 100%
(11/20) aggiornamento in corso di libkate          [######################] 100%
(12/20) aggiornamento in corso di libpcap          [######################] 100%
(13/20) aggiornamento in corso di qtwebkit         [######################] 100%
(14/20) installazione in corso di libaio           [######################] 100%
(15/20) aggiornamento in corso di thin-provisi...  [######################] 100%
(16/20) aggiornamento in corso di thunderbird      [######################] 100%
(17/20) aggiornamento in corso di thunderbird-...  [######################] 100%
(18/20) aggiornamento in corso di xf86-video-intel [######################] 100%
(19/20) aggiornamento in corso di xorg-xinit       [######################] 100%
(20/20) aggiornamento in corso di youtube-dl       [######################] 100%
Adesso sembra che gli aggiornamenti siano stati fatti, ma mi chiedo:
devo lasciare quel server che suggerisce la guida o devo rimettere il mio?
quelle chiavi che ha disabilitato cosa sarebbero?
come mai in 2 anni che uso archlinux oggi ho avuto questo errore? è errato qualcosa nella mia configurazione, qualche pacchetto di configurazione che mi ha creato come pacnew e che magari ho tralasciato, oppure è proprio un errore generato da archlinux e che non dipende in alcun modo dal mio sistema??

Avatar utente
smlb
Amministratore
Messaggi: 573
Iscritto il: 17 aprile 2013, 12:40
Architettura: x86_64 (64bit)
Località: /dev/null
Contatta:

Re: Errore key PGP 1024D "Fabio Castelli" e impossibilità ad aggiornare

Messaggio da smlb » 14 settembre 2014, 11:25

Quella e` la chiave del TU Muflone (per correttezza, ho editato il post modificando l'email in modo che sia meno leggibile) che e` stata aggiunta al keyserver da pochissimo.
Prima di aprire thread ed effettuare altre azioni sul forum, leggere attentamente: forum etiquette

Consultare la wiki prima di postare sul forum - inserire sempre informazioni attinenti alle problematiche riscontrate

Avatar utente
tano70
Arciere
Messaggi: 183
Iscritto il: 4 luglio 2013, 15:14

Re: Errore key PGP 1024D "Fabio Castelli" e impossibilità ad aggiornare

Messaggio da tano70 » 14 settembre 2014, 11:35

grazie della risposta, quindi se ho capito bene non dipende dal mio sistema ma è un errore dei server ufficiali di arch??
il mio sistema è a posto oppure devo rimodificare qualcosa? quella chiave alla fine me l'ha importata... disabilitata o cosa? gli aggiornamenti come avevo scritto me li ha installati e tutto sembra essere tornato a funzionare...ma mi chiedo appunto se devo agire manualmente o se si sistema tutto in automatico da se per quanto attiene a quella chiave

Avatar utente
smlb
Amministratore
Messaggi: 573
Iscritto il: 17 aprile 2013, 12:40
Architettura: x86_64 (64bit)
Località: /dev/null
Contatta:

Re: Errore key PGP 1024D "Fabio Castelli" e impossibilità ad aggiornare

Messaggio da smlb » 14 settembre 2014, 11:49

Si, l'ha importata quindi e` tutto ok.
Prima di aprire thread ed effettuare altre azioni sul forum, leggere attentamente: forum etiquette

Consultare la wiki prima di postare sul forum - inserire sempre informazioni attinenti alle problematiche riscontrate

Avatar utente
tano70
Arciere
Messaggi: 183
Iscritto il: 4 luglio 2013, 15:14

Re: Errore key PGP 1024D "Fabio Castelli" e impossibilità ad aggiornare

Messaggio da tano70 » 14 settembre 2014, 11:59

grazie!! metto risolto!!
P.S solo un ultima cosa, approfitto della tua disponibilità il server più corretto da utilizzare ?

nano /etc/pacman.d/gnupg/gpg.conf

Codice: Seleziona tutto

no-greeting
no-permission-warning
lock-never
keyserver hkp://pgp.mit.edu:11371
#keyserver hkp://keyserver.kjsl.com:80
#keyserver hkp://pool.sks-keyservers.net
keyserver-options timeout=10

Rispondi